##############################################################################
#
# BEHAVIOUR OPTIONS
#
##############################################################################
#
# $handle_duplicates
#
# it you try to convert a vdr recording which has already been converted
# how should vdrtube react? add it to the index or skip it?
#
#     must be one of
#         'skip'      to skip this recording
#     or
#         'new'       to simply add (redundantly) to index
#
our $handle_duplicates   = 'skip';

#
# $automatic_marks_previews
#
# this decides if preview thumbs are automatically created for the
# clickable timestamps when $display_marks is 'yes'
#
our $automatic_marks_previews = 'yes'; 
 
#
# $cleanup_logs
#
# vdrtube writes some logfiles to /tmp/ while processing stuff. this option
# decides if the logs should be removed after successfull(!) processing of
# ffmpeg
#
our $cleanup_logs        = 'yes';


##############################################################################
#
# TARGET MOVIE OPTIONS
#
##############################################################################
#
# $audio_freq
#
# the target audio frequency
#     typical values are 44100 and 22050
#
#our $audio_freq          = 44100;     # could be 22050 for example
our $audio_freq          = 22050;     # could be 22050 for example

#
# $audio_bitrate
#
# the maximum target audio bitrate
#     
#our $audio_bitrate       = 128;       # 64 for dsl
our $audio_bitrate       = 64;       # 64 for dsl

#
# $video_maxrate
#
# the maximum target video bitrate
#     video and audio bitrate together will be about the speed you need online to
#     watch movies without waiting to much for buffering
#
#our $video_maxrate       = 400;       # 200 for dsl
our $video_maxrate       = 200;       # 200 for dsl

#
# $use_2pass
#
# if you set this to 'yes' then 2-pass encoding is used which takes longer to
# convert and sometimes gives better result
#
# NOTE: for low bitrates (like the default ones) the quality is sometimes
#       worse than with 1-pass
#
our $use_2pass           = 'no';

#
# $fixed_x_resolution
#
# if set, exery video will have the same width, else true videosize/2 is used
# for small version and true videosize for huge.
#
# comment this out (# in front of line) if you want the resolution to be 
# calculated from the source vdr recording
#
our $fixed_x_resolution  = 360;

#
# $recpic_width
#
# the width of the preview image. (some themes overwrite it)
#
our $recpic_width        = 120;        # width of preview image

#
# $cut_movie
#
# if you want the target movie be automatically cut by the marks.vdr of an
# uncut movie set this top 'yes', otherwhise to 'no'
#
# WARNING! THIS OPTION IS CONSIDERED EXPERIMENTAL!
#
our $cut_movie           = 'no';


######################################################################
#
# HTML OPTIONS 
#
#######################################################################
#
# $webtree_path
#
# this is where the static html is written
#
our $webtree_path        = "$vdrtube_path/webtree";

#
# $theme
#
# please see the directory themes/ for possible options
#
#our $theme               = "default"; 
our $theme               = "iphone_ipodtouch"; 

#
# $user_html
#
# some themes display this on every page to make it possible for you to link
# to your favorite sites
#
#our $user_html           = '[<a href="http://localhost:8001">vdradmin</a> | <a href="http://localhost:8008/">live</a>]';
our $user_html           = '[<a href="http://192.168.178.33:8001">vdradmin</a> | <a href="http://192.168.178.33:8008/">live</a>]';

#
# $display_scrubbar
#
# decides if the bar to jump forward and back is included in output html
# valid options are 'yes' and 'no'
#
our $display_scrubbar    = 'yes';

#
# $display_marks
#
# decides if the bar with preview-thumbs is included in output html
# valid options are 'yes' and 'no'
#
our $display_marks      = 'yes';

#
# $enable_autoplay
#
# whether the player should start playing automatically or wait
# for the user to start playback
# valid options are 'yes' and 'no'
#
our $enable_autoplay   = 'no';

#
# $flv_path_prefix
#
# set this to a webserver url or "nice" filepath if you have weird effects 
# with samba mounts. normally you don't need to change this value.
#
our $flv_path_prefix     = '';

#
# $create_filmstrip
#
# set this to 'yes' or 'no' to decide if you want to create funky html in 
# some themes
#
our $create_filmstrip = 'yes';

# 
# $filmstrip_sort_type
#
# set this to 'ascending', 'descending' or 'random' in order to sort the
# movies in the filmstrip in owl.html
#
# only relevant if $create_filmstrip is set to 'yes'
#
our $filmstrip_sort_type = 'random';

######################################################################
#
# RSS OPTIONS (if you want to create podcast.xml) 
#
#######################################################################
#
# $create_rss
#
# if you want vdrtube to create a psp rss feed set this to 'yes' (otherwise
# to 'no'). since psp uses mp4 instead of flv for display an extra
# conversion step is needed. if set to yes you need to modify at least
# $rss_weblink and $rss_base_url
#
# WARNING! THIS OPTIONS ARE CONSIDERED EXPERIMENTAL!
#
our $create_rss        = 'no';

our $rss_weblink       = 'http://mein_webtree_url/';
our $rss_base_url      = 'http://mein_webtree_url/';
our $rss_name          = 'mein vdrTUBE VideoCast ;)';
our $rss_title         = 'vdrTUBE VideoCast';
our $rss_description   = 'meine vdrTUBE Beschreibung';
our $rss_email         = 'meine@email.adresse';
our $rss_headerimage   = 'http://mein_webtree_url/dummy.jpg';
our $rss_headertags    = 'video, vdrTUBE, vdr, psp, ipod?';
our $rss_language      = 'de';
our $rss_audio_freq    = 24000;     # 24000 tested with psp
our $rss_audio_bitrate = 32;        #    32 tested with psp
our $rss_video_maxrate = 768;       #   768 tested with psp
our $rss_x_resolution  = 320;       #   320 tested with psp
our $rss_y_resolution  = 240;       #   240 tested with psp
our $use_rss_aspect    = 'no';      #  'no' tested with psp



##############################################################################
# WARNING! THE FOLLOWING OPTIONS ARE CONSIDERED EXPERIMENTAL!
#######################################################################
#
our $create_flv_video   = 'no';     # set to 'no' if no .flv should be created

our $ffm_opts_preview   = '-vframes 1 -ss 00:00:10 -an -qmin 10 -f mjpeg';
our $ffm_opts_preview2  = '-vframes 1 -an -qmin 10 -f mjpeg';
our $ffm_opts_rss_mp4   = "-b $rss_video_maxrate -ar $rss_audio_freq -ab $rss_audio_bitrate -f psp -ac 2";
our $ffm_opts_psp_thm   = '-vframes 1 -an -qmin 10 -f mjpeg -ss 00:00:10 -s 160x120';
our $ffm_opts_flv_1pass = "-b $video_maxrate -ar $audio_freq -ab $audio_bitrate -f flv -ac 2";
our $ffm_opts_flv_2pass = "-b $video_maxrate -ar $audio_freq -ab $audio_bitrate -f flv -ac 2"
